## db_deletevolume

### Use

The data from the specified data volume is distributed to the remaining data volumes. The data volume is deleted and the resources that were previously used by the data volume are released.

Data volumes of the file (FILE) type are deleted from the file system.

The last data volume cannot be deleted.

The system does not support the deletion of log volumes.

See also:

Concepts of the Database System, Volumes (Permanent Storage)

### Prerequisites

● You have the server authorization ParamFull or AccessUtility.

● The database instance is in the ONLINE operational state.

### Syntax

db_deletevolume [DATA] [<vol_description>]

<vol_description>:: = NAME <device_name> | [ID] <vol_no>

Options

Option | Description
DATA | The data volume assigned the highest number by the system is deleted.
NAME <device_name> | Device or file name
[ID] <vol_no> | Consecutive number assigned by the system to the volume. The specification of the keyword ID is optional.

### Result

OK

In the event of errors, see Reply Format